### Virtual Method

# Secret Backend ensure_for_flags

since: 0.19.0

#### Declaration [src]

    void
    ensure_for_flags (
      SecretBackend* self,
      SecretBackendFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

Available since: 0.19.0

#### Parameters

`flags`

  Type: `SecretBackendFlags`

  No description available.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.